
if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

if [ -e /usr/share/glib-2.0/schemas ]; then
  if [ -x /usr/bin/glib-compile-schemas ]; then
    /usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas >/dev/null 2>&1
  fi
fi

( cd etc/xdg/autostart ; rm -rf io.elementary.settings-daemon.desktop )
( cd etc/xdg/autostart ; ln -sf ../../../usr/share/applications/io.elementary.settings-daemon.desktop io.elementary.settings-daemon.desktop )
( cd usr/share/accountsservice/interfaces ; rm -rf io.elementary.SettingsDaemon.AccountsService.xml )
( cd usr/share/accountsservice/interfaces ; ln -sf ../../dbus-1/interfaces/io.elementary.SettingsDaemon.AccountsService.xml io.elementary.SettingsDaemon.AccountsService.xml )
